module Stoolie
  class Result
    attr_accessor :client, :input, :output

    # Client must have the following attributes:
    #
    #   #input
    #   #output
    #
    # Client must implement the following methods
    #
    #   #analyze(input)
    #   #is_insecure?
    #   #is_spammy?
    #   #is_blacklisted?
    #   #is_offensive?
    def initialize(client)
      @client = client
      @input = client.input
      @ouput = client.output
    end

    # Public: tells whether the client found XSS
    #
    # Returns a boolean
    def is_insecure?
      @client.is_insecure?
    end

    # Public: tells whether the client found spam
    #
    # Returns a boolean
    def is_spam?
      @client.is_spam?
    end

    # Public: tells whether the client found blacklisted phrases
    #
    # Returns a boolean
    def is_blacklisted?
      @client.is_blacklisted?
    end

    # Public: tells whether the client found offensive words or phrases
    #
    # Returns a boolean
    def is_offensive?
      @client.is_offensive?
    end
  end
end
